#!/usr/local/bin/perl -w
use strict;
use Tk;
my $main = new MainWindow;
my $f = $main->Frame( '-relief' => "groove") 
    -> pack('-side' => 'top', '-fill' => "x");
my $b1 = $f->Button('-text' => "Exit", '-command' => sub{exit} )
    -> pack(-side => "left") ;
my $b2 = $f->Button('-text' => "Enlarge", 
                   '-command' => [ \&repack_kids, $f])
    -> pack('-side' => "left", '-anchor' => "n");
MainLoop;

sub repack_kids{
  my @kids = $_[0]->packSlaves();
  foreach my $kid (@kids) {
     my %packinfo = $kid->packInfo();
     $kid->pack('-ipadx' => 20 + $packinfo{"-ipadx"},
                 '-ipady' => 10 + $packinfo{"-ipady"});
  }
}

