#!/usr/local/bin/perl -w

use strict;
use Tk;

my $main = new MainWindow;
$main->configure('-bg' => "black");

my $button = $main->Button( '-text' => "Quit",
      '-bg' => "red", '-command' => sub { exit }
);

my $menuleiste = $main->Frame( '-bg' => "white");

my %menuleiste;
foreach $b ("links", "rechts") {
    $menuleiste{$b} = $menuleiste->Button('-text' => "<<$b>>"); 
}
$menuleiste{"links"}->pack('-side' => "left");
$menuleiste{"rechts"}->pack('-side' => "right");

$menuleiste->pack('-side' => "top");
$button->pack('-side' => "top", '-fill' => 'x');

MainLoop;
